org.eclipse.ease.ui.dnd

## Class ResourceDropHandler

- java.lang.Object
- - org.eclipse.ease.ui.dnd.ResourceDropHandler

All Implemented Interfaces:
  IShellDropHandler

    public class ResourceDropHandler
    extends Object
    implements IShellDropHandler

### Constructor Summary

Constructors
Constructor and Description
`ResourceDropHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accepts(IScriptEngine scriptEngine, Object element)` Verify that object can be handled.
`void` `performDrop(IScriptEngine scriptEngine, Object element)` Perform the drop action.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceDropHandler

    public ResourceDropHandler()

### Method Detail

#### accepts

    public boolean accepts(IScriptEngine scriptEngine,
                           Object element)

Description copied from interface: `IShellDropHandler`
Verify that object can be handled.

Specified by:
  `accepts` in interface `IShellDropHandler`
Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped
Returns:
  `true` when element can be handled

#### performDrop

    public void performDrop(IScriptEngine scriptEngine,
                            Object element)

Description copied from interface: `IShellDropHandler`
Perform the drop action.

Specified by:
  `performDrop` in interface `IShellDropHandler`
Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped